【活用ガイド】

[English]

JVNDB-2007-000398

SquirrelMail におけるクロスサイトスクリプティングの脆弱性

概要

SquirrelMail には、クロスサイトスクリプティングの脆弱性が存在します。

SquirrelMail Project が提供する、SquirrelMail はウェブメールです。SquirrelMail には、特定の文字コードや、"data:" URL の処理に問題があり、クロスサイトスクリプティングの脆弱性が存在します。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者: まっちゃ139 長谷川 陽介 氏

CVSS による深刻度 (CVSS とは?)

基本値: 4.3 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 中
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): なし
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): なし

影響を受けるシステム


SquirrelMail Project
  • SquirrelMail 1.4.0 から 1.4.9a までのバージョン
レッドハット
  • Red Hat Desktop (v.3)
  • Red Hat Desktop (v.4)
  • Red Hat Enterprise Linux (v.5 server)
  • Red Hat Enterprise Linux AS (v.3)
  • Red Hat Enterprise Linux AS (v.4)
  • Red Hat Enterprise Linux ES (v.3)
  • Red Hat Enterprise Linux ES (v.4)
  • Red Hat Enterprise Linux WS (v.3)
  • Red Hat Enterprise Linux WS (v.4)
  • RHEL Desktop Workstation (v.5 client)

想定される影響

ユーザのウェブブラウザ上で任意のスクリプトを実行される可能性があります。
対策

[アップデートする]
開発者が提供する情報をもとに最新版へアップデートしてください。

なお、本脆弱性は SquirrelMail 1.4.10 で対策されています。
ベンダ情報

SquirrelMail Project レッドハット
CWEによる脆弱性タイプ一覧  CWEとは?

  1. クロスサイトスクリプティング(CWE-79) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2007-1262
参考情報

  1. JVN : JVN#09157962
  2. National Vulnerability Database (NVD) : CVE-2007-1262
  3. Secunia Advisory : SA25200
  4. SecurityFocus : 23910
  5. SecurityTracker : 1018033
  6. FrSIRT Advisories : FrSIRT/ADV-2007-1748
更新履歴

[2007年06月05日]
  掲載
[2011年01月07日]
  JVN#09157962 にあわせ、タイトル、概要、想定される影響、対策を更
  新。CVSS、CWE を IPA 値に変更。